"java.io.InvalidClassException: atg.commerce.order.OrderImpl" Error During Fulfillment Server Startup (Doc ID 2022618.1)

Last updated on NOVEMBER 05, 2015

Applies to:

Oracle Commerce Platform - Version 10.2.0.3 and later
Information in this document applies to any platform.

Symptoms

During the start up of Fulfilment Server seeing the following error.

This issue does not occur if there aren't any orders created with ATG Version 10.0.3 in the JMS queue.

Due to this issue unable to fulfill orders submitted before the upgrade.

Changes

Upgraded from version 10.0.3 to 10.2.0.3 while there are pending JMS Order messages in the database.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms